{% extends "pencarian_mahasiswa/layout/base.html" %}
{% block content %}
<h1 align="center">DAFTAR MAHASISWA</h1>

<div class="search">
  <input type="text" class="filter" id="inputNPM" onkeyup="filterFunc()" placeholder="Cari npm..." title="Type in a name">
  <input type="text" class="filter" id="inputNama" onkeyup="filterFunc()" placeholder="Cari nama..." title="Type in a name">
  <input type="text" class="filter" id="inputAngkatan" onkeyup="filterFunc()" placeholder="Cari angkatan..." title="Type in a name">
  <input type="text" class="filter" id="inputExpertise" onkeyup="filterFunc()" placeholder="Cari keterampilan : level ..." title="Type in a name">  
</div>

<div style="overflow:auto;">
  <table id="myTable">
    <tr class="header">
      <th style="width:20%;">NPM</th>
      <th style="width:30%;">Nama</th>
      <th style="width:20%;">Angkatan</th>
      <th style="width:40%;">Keterampilan</th>
    </tr>
    {% if mahasiswa_list %}
        {% for mahasiswa in mahasiswa_list %}
        <tr>
            <td>{{mahasiswa.npm}}</td>
            <td>{{mahasiswa.nama}}</td>
            <td>{{mahasiswa.program.0.angkatan}}</td>
            <td>
              {% for skill, level in mahasiswa.expertises %}
                {{ skill }} : {{ level }}<br>
              {%endfor%} 
            </td>
        </tr>
        {% endfor %}
    {% endif %}
  </table>
</div>


</section>
{% endblock %}

{% block javascript %}
<script>

function filterFunc() {
  filters = [
    document.getElementById("inputNPM").value.toUpperCase(),
    document.getElementById("inputNama").value.toUpperCase(),
    document.getElementById("inputAngkatan").value.toUpperCase(),
    document.getElementById("inputExpertise").value.toUpperCase()
  ];

  console.log(filters);

  var input, filter, table, tr, td, i;
  table = document.getElementById("myTable");
  tr = table.getElementsByTagName("tr");
  for (i = 0; i < tr.length; i++) {
    valid = true;
    columns = tr[i].getElementsByTagName("td");
    for (j = 0; j < columns.length; j++) {
      valid = valid && columns[j].innerHTML.toUpperCase().indexOf(filters[j]) > -1;
    }

    if (valid) {
      tr[i].style.display = "";
    } else {
      tr[i].style.display = "none";
    }
  }
}
</script>
{% endblock %}